O nouă vulnerabilitate descoperită în dispozitivele iOS ar putea duce la revenirea jailbreak-ului pe dispozitive mai vechi

Autor: Cătălin Niţu 30.09.2019
O nouă vulnerabilitate descoperită în dispozitivele iOS ar putea duce la revenirea jailbreak-ului pe dispozitive mai vechi

iPhone-urile din trecut erau unele dintre cele mai uşor de „spart” din punct de vedere software, fiind disponibile mai multe soluţii pentru cei care doreau să îşi modifice experienţa de utilizare cu aplicaţii şi funcţii pe care Apple nu le includea sau nu le permitea pe iOS. La un moment dat însă, hardware-ul specializat şi software-ul de protecţie avansat a cam dus la dispariţia acestor „hack-uri”, însă un dezvoltator sofware promite acum o renaştere a conceptului de jailbreak pe iOS prin exploit-ul „checkm8” (checkmate), care ar putea fi imposibil de blocat.

axi0mX, un utilizator de Twitter care pare să fie un programator, a publicat pe github detaliile despre checkm8, o vulnerabilitate descoperită în dispozitivele cu iOS, care poate rula la pornire. Întrucât este vorba despre un hack care poate fi iniţiat înainte ca sistemul de operare să fie încărcat, Apple nu prea ar putea opri instalarea lui nici printr-un update de software. Spre diferenţă de metodele de jailbreak din ultima perioadă, care necesitau conectarea la un computer la fiecare repornire, jailbreak-ul posibil prin intermediul checkm8 ar putea fi permanent.

Desigur, nu toate dispozitivele sunt vulnerabile, ceea ce sugerează că Apple ştia de existenţa vulnerabilităţii şi a corectat-o pe dispozitivele mai recente. Doar iPhone-urile din generaţiile 4S, 5, 5S, 6, 7 şi 8/X pot fi deblocate prin metoda checkm8, modelele iPhone XS, XR şi generaţia iPhone 11 fiind „în siguranţă”. Desigur, asta nu înseamnă că nu va putea fi găsită o soluţie alternativă pentru a trece de sistemul de securitate al modelelor mai noi.

 

 

Instalarea de software prin intermediul vulnerabilităţii checkm8 nu prezintă momentan riscuri de securitate pentru cei care au telefoanele „compatibile”. Pentru instalarea checkm8 este necesară o conexiune fizică prin USB la un computer pentru instalare. Este greu de crezut că acest hack ar putea evolua într-o variantă care poate fi instalată direct de pe telefon din browser, lucru care ar putea pune în pericol securitatea datelor stocate pe dispozitive.

Momentan, Apple nu a comentat despre acest exploit, însă cu siguranţă va încerca să îl blocheze într-un update viitor, dacă acest lucru este posibil.